View Issue Details

IDProjectCategoryView StatusLast Update
0001493Склад[All Projects] Generalpublic2019-04-25 08:39
ReporterruslanAssigned Toruslan 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001493: -Склад-закладка Расход - встроенный фильтр(флаг) Закрытые/Незакрытые/Все- в текущей версии появились накл с 0,0-ой суммой
DescriptionВ типе документов в "незакрытые" накладные ... в ДК таких документов много - это реализация со 100% скидкой определенных товаров, это мешает анализу действительно неоплаченных документов. В версии прошлого года 0-е документы не попадали в незакрытые.
Additional InformationДумаю, лучше документы с суммой 0 - показывать в списке Все документы, потому что они не требуют оплаты(формально они оплачены, НО в списке Оплаченных деньгами тоже как бы лишние).
TagsNo tags attached.

Activities

barry

2019-03-26 11:21

administrator   ~0004021

Большое сомнение насчет "в текущей версии".
Там есть поле CLOSED, выставляемое триггером. В свою очередь по полям "Дата оплаты" & "Дата выдачи". Дата выдачи там есть?
Может не стоит путать понятия "Требующие оплаты" и "Закрытые"?

ruslan

2019-03-26 17:50

manager   ~0004026

>>"в текущей версии".
Я на ДК обновление года полтора не ставил...
>> Дата выдачи там есть?
Да есть, это накладные на реализацию с 0-ой суммой, т.е. "подарки", по поводу поля CLOSED не смотрел его значение - документы создаются Групповой обработкой Реализация товара из Заказов... соответственно оплата туда переносится из заказа... как работает в этом случае механизм CLOSED не наблюдал...

ruslan

2019-03-27 23:10

manager   ~0004030

Сделай в фильтре для показа Закрытые/Незакрытые/Все исключение для накладных с 0-ой суммой в разделе Незакрытые

barry

2019-04-11 15:39

administrator   ~0004064

Дата оплаты и дата выдачи должна стоять
  if (new.saledate is null or new.out_date is null) then new.closed = 0;
  else new.closed = 1;

ruslan

2019-04-11 16:31

manager   ~0004065

Так а откуда в 0-ых накладных дата оплаты появиться- если оплата на такие документы не разноситься, ты тоже триггером ее ставишь?

barry

2019-04-11 16:50

administrator   ~0004066

В этих накладных дата оплаты и дата выдачи стоит или нет?

ruslan

2019-04-11 18:07

manager   ~0004067

Дата выдачи установлена, а дата оплаты в накладных с 0-ой суммой раньше автоматом не устанавливалась при сохранении- ты что-то менял? А штатных средств оплачивать документы с 0-ой суммой - НЕТ.

barry

2019-04-11 18:48

administrator   ~0004068

Я ничего не менял, я просто спрашиваю стоит или нет. Я же не вижу что там у вас. Я так понял что дата оплаты не ставится.
Вообще там в триггере вроде как не ставится если сумма оплаты меньше суммы, вроде как должно ставить, в общем буду смотреть.

barry

2019-04-25 08:39

administrator   ~0004081

mebl_ib5.zip
При установке даты выдачи на на накладных с нулевой суммой должно ставить дату оплаты.

Issue History

Date Modified Username Field Change
2019-01-28 18:24 ruslan New Issue
2019-01-28 18:26 ruslan Additional Information Updated View Revisions
2019-01-28 18:27 ruslan Description Updated View Revisions
2019-03-26 11:21 barry Note Added: 0004021
2019-03-26 17:50 ruslan Note Added: 0004026
2019-03-26 17:50 ruslan Assigned To => ruslan
2019-03-26 17:50 ruslan Status new => feedback
2019-03-27 23:10 ruslan Note Added: 0004030
2019-04-11 15:39 barry Note Added: 0004064
2019-04-11 16:31 ruslan Note Added: 0004065
2019-04-11 16:50 barry Note Added: 0004066
2019-04-11 18:07 ruslan Note Added: 0004067
2019-04-11 18:48 barry Note Added: 0004068
2019-04-25 08:39 barry Note Added: 0004081
2019-04-25 08:39 barry Status feedback => resolved
2019-04-25 08:39 barry Resolution open => fixed